Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class BaggingTrainer

    java.lang.Object
      cc.mallet.classify.ClassifierTrainer<BaggingClassifier>
          cc.mallet.classify.BaggingTrainer

    public class BaggingTrainer

extends ClassifierTrainer<BaggingClassifier>

Bagging Trainer.

Author:
  Andrew McCallum mccallum@cs.umass.edu

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.classify.ClassifierTrainer
`ClassifierTrainer.ByActiveLearning<C extends Classifier>, ClassifierTrainer.ByIncrements<C extends Classifier>, ClassifierTrainer.ByInstanceIncrements<C extends Classifier>, ClassifierTrainer.ByOptimization<C extends Classifier>, ClassifierTrainer.Factory<CT extends ClassifierTrainer<? extends Classifier>>`

Field Summary

Fields inherited from class cc.mallet.classify.ClassifierTrainer
`finishedTraining, validationSet`

Constructor Summary
`BaggingTrainer(ClassifierTrainer.Factory underlyingTrainerFactory)`
`BaggingTrainer(ClassifierTrainer.Factory underlyingTrainerFactory, int numBags)`

Method Summary
`BaggingClassifier` | `getClassifier()`
`BaggingClassifier` | `train(InstanceList trainingList)`

Methods inherited from class cc.mallet.classify.ClassifierTrainer
`getValidationInstances, isFinishedTraining, setValidationInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaggingTrainer

    public BaggingTrainer(ClassifierTrainer.Factory underlyingTrainerFactory,
                          int numBags)

### BaggingTrainer

    public BaggingTrainer(ClassifierTrainer.Factory underlyingTrainerFactory)

Method Detail

### getClassifier

    public BaggingClassifier getClassifier()

  Specified by:
    `getClassifier` in class `ClassifierTrainer<BaggingClassifier>`

### train

    public BaggingClassifier train(InstanceList trainingList)

  Specified by:
    `train` in class `ClassifierTrainer<BaggingClassifier>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD